package org.dromara.inspection.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.inspection.domain.bo.ArDeviceBo;
import org.dromara.inspection.domain.vo.ArDeviceVo;

import java.util.Collection;
import java.util.List;

/**
 * AR设备Service接口
 *
 * @author Lion Li
 * @date 2025-01-13
 */
public interface IArDeviceService {

    /**
     * 查询单个
     *
     * @return
     */
    ArDeviceVo queryById(Long id);

    /**
     * 查询列表
     */
    TableDataInfo<ArDeviceVo> queryPageList(ArDeviceBo bo, PageQuery pageQuery);

    /**
     * 查询列表
     */
    List<ArDeviceVo> queryList(ArDeviceBo bo);

    /**
     * 根据新增业务对象插入AR设备
     *
     * @param bo AR设备新增业务对象
     * @return
     */
    Boolean insertByBo(ArDeviceBo bo);

    /**
     * 根据编辑业务对象修改AR设备
     *
     * @param bo AR设备编辑业务对象
     * @return
     */
    Boolean updateByBo(ArDeviceBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
